#include "cdevContextMap.h"

cdevContextMap map;


int main()
{
int i=0;
cdevData data;

data.insert(1, "Test String 1");
data.insert(2, "Test String 2");
data.insert(3, "Test String 3");
data.insert(4, "Test String 4");
	
for(i=0; i<255; i++) 
	{
	data.insert(5, i);
	map.insert(data);
 
	if(i%255==0)      fprintf(stdout,"\n");
	else if(i%100==0) fprintf(stdout,"*");
	else if(i%10==0)  fprintf(stdout,":");
	else              fprintf(stdout, ".");
	fflush(stdout);
	}
for(i=255; i>0; i--) 
	{
	data.insert(5, i);
	map.insert(data);

	if(i%255==0)      fprintf(stdout,"\n");
	else if(i%100==0) fprintf(stdout,"*");
	else if(i%10==0)  fprintf(stdout,":");
	else              fprintf(stdout, ".");
	fflush(stdout);
	}

map.asciiDump();
return 0;
}
